/// <license>TUSTENA PUBLIC LICENSE v1.0</license>
/// <copyright>
/// Portions Copyright (c) 2003-2005 Digita S.r.l. All Rights Reserved.
///
/// Tustena CRM is a trademark of:
/// Digita S.r.l.
/// Viale Enrico Fermi 14/z
/// 31011 Asolo (Italy)
/// Tel. +39-0423-951251
/// Mail. info@digita.it
///
/// This file contains Original Code and/or Modifications of Original Code
/// as defined in and that are subject to the Tustena Public Source License
/// Version 1.0 (the 'License'). You may not use this file except in
/// compliance with the License. Please obtain a copy of the License at
/// http://www.tustena.com/TPL/ and read it before using this
// file.
///
/// The Original Code and all software distributed under the License are
/// distributed on an 'AS IS' basis, WITHOUT WARRANTY OF ANY KIND, EITHER
/// EXPRESS OR IMPLIED, AND DIGITA S.R.L. HEREBY DISCLAIMS ALL SUCH WARRANTIES,
/// INCLUDING WITHOUT LIMITATION, ANY WARRANTIES OF MERCHANTABILITY,
/// FITNESS FOR A PARTICULAR PURPOSE, QUIET ENJOYMENT OR NON-INFRINGEMENT.
/// Please see the License for the specific language governing rights and
/// limitations under the License.
///
/// YOU MAY NOT REMOVE OR ALTER THIS COPYRIGHT NOTICE!
/// </copyright>

using System;
using System.Web.UI.WebControls;
using Digita.Tustena.Database;

namespace Digita.Tustena
{
	public class PopAccount : G
	{
		protected Repeater ContactReferrer;
		protected TextBox FindIt;
		protected Literal SomeJS;
		protected LinkButton Find;

		#region Web Form Designer generated code

		protected override void OnInit(EventArgs e)
		{
			InitializeComponent();
			base.OnInit(e);
		}

		private void InitializeComponent()
		{
			this.Find.Click += new EventHandler(this.FindClick);
			this.Load += new EventHandler(this.Page_Load);

		}

		#endregion

		public void Page_Load(object sender, EventArgs e)
		{
			if (!Login())
			{
				SomeJS.Text = "<script>opener.location.href=opener.location.href;self.close();</script>";
			}
			else
			{
				string js;
				string control = Request.QueryString["textbox"].ToString();
				string control2 = Request.QueryString["textbox2"].ToString();

				js = "<script>";
				js += "function SetRef(id,tx){";
				if (Request.QueryString["frame"] != null)
				{
					js += "dynaret.SetParams('" + control + "',tx);";
					js += "dynaret.SetParams('" + control2 + "',id);";
				}
				else
				{
					js += "dynaret('" + control + "').value=tx;";
					js += "dynaret('" + control2 + "').value=id;";
				}
				js += "self.close();";
				js += "parent.HideBox();}";
				js += "</script>";
				SomeJS.Text = js;
				Find.Text = rm.GetString("Prftxt5");
				if (!Page.IsPostBack)
				{
					if(Request.QueryString["Impersonate"]!=null)
					{
						ContactReferrer.DataSource = DatabaseConnection.CreateDataset("select uid,(Name+' '+Surname) as UserName from Account where active=1 and DiaryAccount like '|%" + UC.UserId + "|%'");
					}
					else
					{
						string query = G.GroupDependency(UC.UserGroupId);
						string qGroup = String.Empty;
						if (query.Length > 1)
						{
							string[] arryD = query.Split('|');
							foreach (string ut in arryD)
							{
								if (ut.Length > 0) qGroup += "groupid=" + ut + " or ";
							}
							if (qGroup.Length > 0) qGroup = qGroup.Substring(0, qGroup.Length - 3);
						}else
							qGroup = "groupid=" + UC.UserGroupId;
						ContactReferrer.DataSource = DatabaseConnection.CreateDataset("select uid,(Name+' '+Surname) as UserName from Account where active=1 and (" + qGroup + ")");
					}
					ContactReferrer.DataBind();
				}
			}
		}

		public void FindClick(object sender, EventArgs e)
		{
			if(Request.QueryString["Impersonate"]!=null)
			{
				ContactReferrer.DataSource = DatabaseConnection.CreateDataset("select uid,(Name+' '+Surname) as UserName from Account where DiaryAccount like '|%" + UC.UserId + "|%') and (Name like '%" + DatabaseConnection.FilterInjection(FindIt.Text) + "%' or Surname like '%" + DatabaseConnection.FilterInjection(FindIt.Text) + "%')");
			}
			else
			{
				ContactReferrer.DataSource = DatabaseConnection.CreateDataset("select uid,(Name+' '+Surname) as UserName from Account where (Name like '%" + DatabaseConnection.FilterInjection(FindIt.Text) + "%' or Surname like '%" + DatabaseConnection.FilterInjection(FindIt.Text) + "%')");
			}
			ContactReferrer.DataBind();
		}


	}
}
