/** FCKeditor - The text editor for internet
* Copyright (C) 2003-2005 Frederico Caldeira Knabben
*
* Licensed under the terms of the GNU Lesser General Public License:
* 		http:
*
* For further information visit:
* 		http:
*
* "Support Open Source software. What about a donation today?"
*
* File Name: fck_dialog_common.js
* 	Useful functions used by almost all dialog window pages.
*
* File Authors:
* 		Frederico Caldeira Knabben (fredck@fckeditor.net)
*/

function GetE( elementId )
{ return document.getElementById( elementId )  ; }

function ShowE( element, isVisible )
{ if ( typeof( element ) == 'string' )
element = GetE( element ) ; element.style.display = isVisible ? '' : 'none' ; }

function SetAttribute( element, attName, attValue )
{ if ( attValue == null || attValue.length == 0 )
element.removeAttribute( attName, 0 ) ; else
element.setAttribute( attName, attValue, 0 ) ; }

function GetAttribute( element, attName, valueIfNull )
{ var oAtt = element.attributes[attName] ; 
if ( oAtt == null || !oAtt.specified )
return valueIfNull ? valueIfNull : '' ; 
var oValue ; 
if ( !( oValue = element.getAttribute( attName, 2 ) ) )
oValue = oAtt.nodeValue ; 
return ( oValue == null ? valueIfNull : oValue ) ; }

function IsDigit( e )
{ e = e || event ; var iCode = ( e.keyCode || e.charCode ) ; 
event.returnValue =
(
( iCode >= 48 && iCode <= 57 )
|| (iCode >= 37 && iCode <= 40)
|| iCode == 8
|| iCode == 46
) ; 
return event.returnValue ; }

String.prototype.trim = function()
{ return this.replace( /(^\s*)|(\s*$)/g, '' ) ; }

String.prototype.startsWith = function( value )
{ return ( this.substr( 0, value.length ) == value ) ; }

String.prototype.remove = function( start, length )
{ var s = '' ; 
if ( start > 0 )
s = this.substring( 0, start ) ; 
if ( start + length < this.length )
s += this.substring( start + length , this.length ) ; 
return s ; }
