/// <license>TUSTENA PUBLIC LICENSE v1.0</license>
/// <copyright>
/// Portions Copyright (c) 2003-2005 Digita S.r.l. All Rights Reserved.
///
/// Tustena CRM is a trademark of:
/// Digita S.r.l.
/// Viale Enrico Fermi 14/z
/// 31011 Asolo (Italy)
/// Tel. +39-0423-951251
/// Mail. info@digita.it
///
/// This file contains Original Code and/or Modifications of Original Code
/// as defined in and that are subject to the Tustena Public Source License
/// Version 1.0 (the 'License'). You may not use this file except in
/// compliance with the License. Please obtain a copy of the License at
/// http://www.tustena.com/TPL/ and read it before using this
// file.
///
/// The Original Code and all software distributed under the License are
/// distributed on an 'AS IS' basis, WITHOUT WARRANTY OF ANY KIND, EITHER
/// EXPRESS OR IMPLIED, AND DIGITA S.R.L. HEREBY DISCLAIMS ALL SUCH WARRANTIES,
/// INCLUDING WITHOUT LIMITATION, ANY WARRANTIES OF MERCHANTABILITY,
/// FITNESS FOR A PARTICULAR PURPOSE, QUIET ENJOYMENT OR NON-INFRINGEMENT.
/// Please see the License for the specific language governing rights and
/// limitations under the License.
///
/// YOU MAY NOT REMOVE OR ALTER THIS COPYRIGHT NOTICE!
/// </copyright>

using System;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;

namespace Digita.Tustena
{
	public class quick : G
	{
		protected HtmlGenericControl contacts;
		protected HtmlGenericControl activity;

		protected LinkButton BtnSearch;
		protected TextBox SearchTextBox;
		protected RadioButtonList FlagSearch;
		protected Label LblHeader;

		protected HtmlGenericControl Info1;
		protected HtmlGenericControl Info2;
		private string calAppointment = string.Empty;

		private void Page_Load(object sender, EventArgs e)
		{
			if (!Login())
			{
				Response.Redirect("/login.aspx");
			}
			else
			{
				if (!Page.IsPostBack)
				{
					LblHeader.Text = CRM_Companies.ABCHeaderHtml(Request.Params["List"]);
					BtnSearch.Text = rm.GetString("Find");

					BtnSearch.Attributes.Add("onclick", "return searchcontact()");

					FlagSearch.RepeatDirection = RepeatDirection.Horizontal;

					FlagSearch.Items.Add(new ListItem(rm.GetString("Quicktxt11"), "0"));
					FlagSearch.Items.Add(new ListItem(rm.GetString("Quicktxt8"), "1"));
					FlagSearch.Items.Add(new ListItem(rm.GetString("Quicktxt9"), "2"));
					FlagSearch.Items.Add(new ListItem(rm.GetString("Quicktxt10"), "3"));
					FlagSearch.Items[0].Selected = true;

				}
			}
		}

		#region Codice generato da Progettazione Web Form

		protected override void OnInit(EventArgs e)
		{
			InitializeComponent();
			base.OnInit(e);
		}

		private void InitializeComponent()
		{
			this.Load += new EventHandler(this.Page_Load);

		}

		#endregion
	}
}
